using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace Photo_Editor_Application
{
	/// <summary>
	/// Summary description for CropDialog.
	/// </summary>
	public class CropDialog : System.Windows.Forms.Form
	{
        private System.Windows.Forms.TextBox imageHeight;
        private System.Windows.Forms.TextBox imageWidth;
        
        private System.Windows.Forms.Label label1;
        private System.Windows.Forms.Label label2;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
        private System.Windows.Forms.Button OKBtn;
        private System.Windows.Forms.Button CancelBtn;
        
        private PhotoEditorForm editorForm;

        /// <summary>
        /// Constructor for crop dialog box
        /// </summary>
        /// <param name="sender">object that called the dialog</param>
		public CropDialog(object sender)
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
            editorForm = (PhotoEditorForm)sender;
			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.imageHeight = new System.Windows.Forms.TextBox();
            this.imageWidth = new System.Windows.Forms.TextBox();
            this.label1 = new System.Windows.Forms.Label();
            this.label2 = new System.Windows.Forms.Label();
            this.OKBtn = new System.Windows.Forms.Button();
            this.CancelBtn = new System.Windows.Forms.Button();
            this.SuspendLayout();
            // 
            // imageHeight
            // 
            this.imageHeight.AcceptsReturn = true;
            this.imageHeight.AcceptsTab = true;
            this.imageHeight.Location = new System.Drawing.Point(8, 24);
            this.imageHeight.Name = "imageHeight";
            this.imageHeight.TabIndex = 0;
            this.imageHeight.Text = "Image Height";
            this.imageHeight.TextChanged += new System.EventHandler(this.imageHeight_TextChanged);
            // 
            // imageWidth
            // 
            this.imageWidth.AcceptsReturn = true;
            this.imageWidth.AcceptsTab = true;
            this.imageWidth.Location = new System.Drawing.Point(8, 64);
            this.imageWidth.Name = "imageWidth";
            this.imageWidth.TabIndex = 1;
            this.imageWidth.Text = "Image Width";
            this.imageWidth.TextChanged += new System.EventHandler(this.imageWidth_TextChanged);
            // 
            // label1
            // 
            this.label1.Location = new System.Drawing.Point(120, 64);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(120, 23);
            this.label1.TabIndex = 4;
            this.label1.Text = "Set Image Width Value";
            this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            this.label1.Click += new System.EventHandler(this.label1_Click);
            // 
            // label2
            // 
            this.label2.Location = new System.Drawing.Point(120, 24);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(128, 23);
            this.label2.TabIndex = 5;
            this.label2.Text = "Set Image Height Value";
            this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // OKBtn
            // 
            this.OKBtn.Location = new System.Drawing.Point(24, 104);
            this.OKBtn.Name = "OKBtn";
            this.OKBtn.TabIndex = 6;
            this.OKBtn.Text = "OK";
            this.OKBtn.Click += new System.EventHandler(this.OKBtn_Click);
            // 
            // CancelBtn
            // 
            this.CancelBtn.Location = new System.Drawing.Point(144, 104);
            this.CancelBtn.Name = "CancelBtn";
            this.CancelBtn.TabIndex = 7;
            this.CancelBtn.Text = "Cancel";
            this.CancelBtn.Click += new System.EventHandler(this.CancelBtn_Click);
            // 
            // CropDialog
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(256, 142);
            this.Controls.Add(this.CancelBtn);
            this.Controls.Add(this.OKBtn);
            this.Controls.Add(this.label2);
            this.Controls.Add(this.label1);
            this.Controls.Add(this.imageWidth);
            this.Controls.Add(this.imageHeight);
            this.Name = "CropDialog";
            this.Text = "CropDialog";
            this.ResumeLayout(false);

        }
		#endregion

        private void label1_Click(object sender, System.EventArgs e)
        {
        
        }
        private int tempWidth, tempHeight;
        private void imageHeight_TextChanged(object sender, System.EventArgs e)
        {
            #region Do It Yourself Chapter 5
            tempHeight = Convert.ToInt32(imageHeight.Text);
            #endregion
        }

        private void imageWidth_TextChanged(object sender, System.EventArgs e)
        {
            tempWidth = Convert.ToInt32(imageWidth.Text);
        }

        private void CancelBtn_Click(object sender, System.EventArgs e)
        {
            editorForm.Invalidate();
            this.Dispose();

        }

        private void OKBtn_Click(object sender, System.EventArgs e)
        {
            editorForm.PictureObject.CropImage(tempWidth, tempHeight); 
            editorForm.DisplayImage(); 
            this.Dispose();

        }

        
	}
}
